package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import java.util.Date;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class LpgSafetyInspection extends GenericItem
{
    public static final String ID = "id";
    public static final String CUSTOMERMOBILENUMBER = "customerMobileNumber";
    public static final String CUSTOMERNAME = "customerName";
    public static final String CUSTOMERNUMBER = "customerNumber";
    public static final String DISTRIBUTORCODE = "distributorCode";
    public static final String OPERATORID = "operatorId";
    public static final String OPERATORNAME = "operatorName";
    public static final String OPERATORMOBILENUMBER = "operatorMobileNumber";
    public static final String LPGID = "lpgId";
    public static final String OTPREFID = "otpRefId";
    public static final String LATITUDE = "latitude";
    public static final String LONGITUDE = "longitude";
    public static final String SAFETYIMAGEURL = "safetyImageUrl";
    public static final String QUESTIONRES = "questionRes";
    public static final String SURAKSHADATE = "surakshaDate";
    public static final String SENTTOLPGNXT = "sentToLpgNxt";
    public static final String SAFETYINSPECTIONDATE = "safetyInspectionDate";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return LpgSafetyInspection.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public Long getCustomerMobileNumber(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "customerMobileNumber".intern());
    }
    
    public Long getCustomerMobileNumber() {
        return this.getCustomerMobileNumber(this.getSession().getSessionContext());
    }
    
    public long getCustomerMobileNumberAsPrimitive(final SessionContext ctx) {
        final Long value = this.getCustomerMobileNumber(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getCustomerMobileNumberAsPrimitive() {
        return this.getCustomerMobileNumberAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setCustomerMobileNumber(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "customerMobileNumber".intern(), (Object)value);
    }
    
    public void setCustomerMobileNumber(final Long value) {
        this.setCustomerMobileNumber(this.getSession().getSessionContext(), value);
    }
    
    public void setCustomerMobileNumber(final SessionContext ctx, final long value) {
        this.setCustomerMobileNumber(ctx, Long.valueOf(value));
    }
    
    public void setCustomerMobileNumber(final long value) {
        this.setCustomerMobileNumber(this.getSession().getSessionContext(), value);
    }
    
    public String getCustomerName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "customerName".intern());
    }
    
    public String getCustomerName() {
        return this.getCustomerName(this.getSession().getSessionContext());
    }
    
    public void setCustomerName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "customerName".intern(), (Object)value);
    }
    
    public void setCustomerName(final String value) {
        this.setCustomerName(this.getSession().getSessionContext(), value);
    }
    
    public Long getCustomerNumber(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "customerNumber".intern());
    }
    
    public Long getCustomerNumber() {
        return this.getCustomerNumber(this.getSession().getSessionContext());
    }
    
    public long getCustomerNumberAsPrimitive(final SessionContext ctx) {
        final Long value = this.getCustomerNumber(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getCustomerNumberAsPrimitive() {
        return this.getCustomerNumberAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setCustomerNumber(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "customerNumber".intern(), (Object)value);
    }
    
    public void setCustomerNumber(final Long value) {
        this.setCustomerNumber(this.getSession().getSessionContext(), value);
    }
    
    public void setCustomerNumber(final SessionContext ctx, final long value) {
        this.setCustomerNumber(ctx, Long.valueOf(value));
    }
    
    public void setCustomerNumber(final long value) {
        this.setCustomerNumber(this.getSession().getSessionContext(), value);
    }
    
    public Integer getDistributorCode(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "distributorCode".intern());
    }
    
    public Integer getDistributorCode() {
        return this.getDistributorCode(this.getSession().getSessionContext());
    }
    
    public int getDistributorCodeAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getDistributorCode(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getDistributorCodeAsPrimitive() {
        return this.getDistributorCodeAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setDistributorCode(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "distributorCode".intern(), (Object)value);
    }
    
    public void setDistributorCode(final Integer value) {
        this.setDistributorCode(this.getSession().getSessionContext(), value);
    }
    
    public void setDistributorCode(final SessionContext ctx, final int value) {
        this.setDistributorCode(ctx, Integer.valueOf(value));
    }
    
    public void setDistributorCode(final int value) {
        this.setDistributorCode(this.getSession().getSessionContext(), value);
    }
    
    public Long getId(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "id".intern());
    }
    
    public Long getId() {
        return this.getId(this.getSession().getSessionContext());
    }
    
    public long getIdAsPrimitive(final SessionContext ctx) {
        final Long value = this.getId(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getIdAsPrimitive() {
        return this.getIdAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setId(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "id".intern(), (Object)value);
    }
    
    public void setId(final Long value) {
        this.setId(this.getSession().getSessionContext(), value);
    }
    
    public void setId(final SessionContext ctx, final long value) {
        this.setId(ctx, Long.valueOf(value));
    }
    
    public void setId(final long value) {
        this.setId(this.getSession().getSessionContext(), value);
    }
    
    public String getLatitude(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "latitude".intern());
    }
    
    public String getLatitude() {
        return this.getLatitude(this.getSession().getSessionContext());
    }
    
    public void setLatitude(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "latitude".intern(), (Object)value);
    }
    
    public void setLatitude(final String value) {
        this.setLatitude(this.getSession().getSessionContext(), value);
    }
    
    public String getLongitude(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "longitude".intern());
    }
    
    public String getLongitude() {
        return this.getLongitude(this.getSession().getSessionContext());
    }
    
    public void setLongitude(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "longitude".intern(), (Object)value);
    }
    
    public void setLongitude(final String value) {
        this.setLongitude(this.getSession().getSessionContext(), value);
    }
    
    public Long getLpgId(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "lpgId".intern());
    }
    
    public Long getLpgId() {
        return this.getLpgId(this.getSession().getSessionContext());
    }
    
    public long getLpgIdAsPrimitive(final SessionContext ctx) {
        final Long value = this.getLpgId(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getLpgIdAsPrimitive() {
        return this.getLpgIdAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setLpgId(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "lpgId".intern(), (Object)value);
    }
    
    public void setLpgId(final Long value) {
        this.setLpgId(this.getSession().getSessionContext(), value);
    }
    
    public void setLpgId(final SessionContext ctx, final long value) {
        this.setLpgId(ctx, Long.valueOf(value));
    }
    
    public void setLpgId(final long value) {
        this.setLpgId(this.getSession().getSessionContext(), value);
    }
    
    public String getOperatorId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "operatorId".intern());
    }
    
    public String getOperatorId() {
        return this.getOperatorId(this.getSession().getSessionContext());
    }
    
    public void setOperatorId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "operatorId".intern(), (Object)value);
    }
    
    public void setOperatorId(final String value) {
        this.setOperatorId(this.getSession().getSessionContext(), value);
    }
    
    public Long getOperatorMobileNumber(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "operatorMobileNumber".intern());
    }
    
    public Long getOperatorMobileNumber() {
        return this.getOperatorMobileNumber(this.getSession().getSessionContext());
    }
    
    public long getOperatorMobileNumberAsPrimitive(final SessionContext ctx) {
        final Long value = this.getOperatorMobileNumber(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getOperatorMobileNumberAsPrimitive() {
        return this.getOperatorMobileNumberAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setOperatorMobileNumber(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "operatorMobileNumber".intern(), (Object)value);
    }
    
    public void setOperatorMobileNumber(final Long value) {
        this.setOperatorMobileNumber(this.getSession().getSessionContext(), value);
    }
    
    public void setOperatorMobileNumber(final SessionContext ctx, final long value) {
        this.setOperatorMobileNumber(ctx, Long.valueOf(value));
    }
    
    public void setOperatorMobileNumber(final long value) {
        this.setOperatorMobileNumber(this.getSession().getSessionContext(), value);
    }
    
    public String getOperatorName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "operatorName".intern());
    }
    
    public String getOperatorName() {
        return this.getOperatorName(this.getSession().getSessionContext());
    }
    
    public void setOperatorName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "operatorName".intern(), (Object)value);
    }
    
    public void setOperatorName(final String value) {
        this.setOperatorName(this.getSession().getSessionContext(), value);
    }
    
    public Integer getOtpRefId(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "otpRefId".intern());
    }
    
    public Integer getOtpRefId() {
        return this.getOtpRefId(this.getSession().getSessionContext());
    }
    
    public int getOtpRefIdAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getOtpRefId(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getOtpRefIdAsPrimitive() {
        return this.getOtpRefIdAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setOtpRefId(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "otpRefId".intern(), (Object)value);
    }
    
    public void setOtpRefId(final Integer value) {
        this.setOtpRefId(this.getSession().getSessionContext(), value);
    }
    
    public void setOtpRefId(final SessionContext ctx, final int value) {
        this.setOtpRefId(ctx, Integer.valueOf(value));
    }
    
    public void setOtpRefId(final int value) {
        this.setOtpRefId(this.getSession().getSessionContext(), value);
    }
    
    public String getQuestionRes(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "questionRes".intern());
    }
    
    public String getQuestionRes() {
        return this.getQuestionRes(this.getSession().getSessionContext());
    }
    
    public void setQuestionRes(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "questionRes".intern(), (Object)value);
    }
    
    public void setQuestionRes(final String value) {
        this.setQuestionRes(this.getSession().getSessionContext(), value);
    }
    
    public String getSafetyImageUrl(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "safetyImageUrl".intern());
    }
    
    public String getSafetyImageUrl() {
        return this.getSafetyImageUrl(this.getSession().getSessionContext());
    }
    
    public void setSafetyImageUrl(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "safetyImageUrl".intern(), (Object)value);
    }
    
    public void setSafetyImageUrl(final String value) {
        this.setSafetyImageUrl(this.getSession().getSessionContext(), value);
    }
    
    public Date getSafetyInspectionDate(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "safetyInspectionDate".intern());
    }
    
    public Date getSafetyInspectionDate() {
        return this.getSafetyInspectionDate(this.getSession().getSessionContext());
    }
    
    public void setSafetyInspectionDate(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "safetyInspectionDate".intern(), (Object)value);
    }
    
    public void setSafetyInspectionDate(final Date value) {
        this.setSafetyInspectionDate(this.getSession().getSessionContext(), value);
    }
    
    public Boolean isSentToLpgNxt(final SessionContext ctx) {
        return (Boolean)this.getProperty(ctx, "sentToLpgNxt".intern());
    }
    
    public Boolean isSentToLpgNxt() {
        return this.isSentToLpgNxt(this.getSession().getSessionContext());
    }
    
    public boolean isSentToLpgNxtAsPrimitive(final SessionContext ctx) {
        final Boolean value = this.isSentToLpgNxt(ctx);
        return value != null && value;
    }
    
    public boolean isSentToLpgNxtAsPrimitive() {
        return this.isSentToLpgNxtAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setSentToLpgNxt(final SessionContext ctx, final Boolean value) {
        this.setProperty(ctx, "sentToLpgNxt".intern(), (Object)value);
    }
    
    public void setSentToLpgNxt(final Boolean value) {
        this.setSentToLpgNxt(this.getSession().getSessionContext(), value);
    }
    
    public void setSentToLpgNxt(final SessionContext ctx, final boolean value) {
        this.setSentToLpgNxt(ctx, Boolean.valueOf(value));
    }
    
    public void setSentToLpgNxt(final boolean value) {
        this.setSentToLpgNxt(this.getSession().getSessionContext(), value);
    }
    
    public String getSurakshaDate(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "surakshaDate".intern());
    }
    
    public String getSurakshaDate() {
        return this.getSurakshaDate(this.getSession().getSessionContext());
    }
    
    public void setSurakshaDate(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "surakshaDate".intern(), (Object)value);
    }
    
    public void setSurakshaDate(final String value) {
        this.setSurakshaDate(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("id", Item.AttributeMode.INITIAL);
        tmp.put("customerMobileNumber", Item.AttributeMode.INITIAL);
        tmp.put("customerName", Item.AttributeMode.INITIAL);
        tmp.put("customerNumber", Item.AttributeMode.INITIAL);
        tmp.put("distributorCode", Item.AttributeMode.INITIAL);
        tmp.put("operatorId", Item.AttributeMode.INITIAL);
        tmp.put("operatorName", Item.AttributeMode.INITIAL);
        tmp.put("operatorMobileNumber", Item.AttributeMode.INITIAL);
        tmp.put("lpgId", Item.AttributeMode.INITIAL);
        tmp.put("otpRefId", Item.AttributeMode.INITIAL);
        tmp.put("latitude", Item.AttributeMode.INITIAL);
        tmp.put("longitude", Item.AttributeMode.INITIAL);
        tmp.put("safetyImageUrl", Item.AttributeMode.INITIAL);
        tmp.put("questionRes", Item.AttributeMode.INITIAL);
        tmp.put("surakshaDate", Item.AttributeMode.INITIAL);
        tmp.put("sentToLpgNxt", Item.AttributeMode.INITIAL);
        tmp.put("safetyInspectionDate", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
